CHFN(1)

NAME
chfn - ändert den vollständigen Namen eines Benutzers und sonstige Informationen

ÜBERSICHT

chfn [Optionen] [ANMELDENAME]

BESCHREIBUNG

Der Befehl chfn ändert den vollständigen Namen, die Bürozimmernummer sowie die berufliche und private Telefonnummer für ein Benutzerkonto. Diese Informationen werden typischerweise von finger(1) und ähnlichen Programmen verwendet. Ein normaler Benutzer darf nur die Felder seines eigenen Kontos ändern und muss dabei zudem die Einschränkungen in /etc/login.defs beachten. So ist es Benutzern standardmäßig nicht möglich, ihren vollständigen Namen zu ändern. Root kann die Felder aller Konten verändern. Außerdem darf nur Root mittels der Option -o die undefinierten Teile des GECOS-Feldes ändern.

Diese Felder dürfen keinen Doppelpunkt enthalten. Mit Ausnahme des Feldes sonstiges sollten sie kein Komma oder Gleichheitszeichen enthalten. Außerdem wird abgeraten, andere Zeichen als US-ASCII zu verwenden, aber nur für die Telefonnummern ist dies zwingend. Das Feld sonstiges wird von anderen Anwendungen verwendet, um dort Informationen über das Konto abzuspeichern.

OPTIONEN

Die Optionen, die vom Befehl chfn unterstützt werden, sind:

-f, --full-name VOLLSTÄNDIGER_NAME
    verändert den vollständigen Namen des Benutzers

-h, --home-phone TEL_PRIV
    ändert die private Telefonnummer des Benutzers

-o, --other SONSTIGES
    Verändert die sonstigen Informationen über den Benutzer in der GECOS-Zeile. In diesem Feld werden Kontoinformationen anderer Anwendungen gespeichert. Es kann nur vom Superuser verändert werden.

-r, --room ZIMMER_NUMMER
    ändert die Zimmernummer des Benutzers

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-u, --help
    zeigt die Hilfe an und beendet das Programm

-w, --work-phone TEL_BERUF
    verändert die berufliche Telefonnummer des Benutzers

Wenn keine Option ausgewählt wird, arbeitet chfn interaktiv. Dabei wird der Benutzer nach den aktuellen Werten für alle Felder befragt. Bei Eingabe eines neuen Wertes wird dieser verwendet, bei keiner Eingabe stattdessen der Originalwert beibehalten. Der aktuelle Wert wird zwischen einem Paar von [ ] angezeigt. Ohne Optionen fragt chfn nach einem Benutzerkonto.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

CHFN_RESTRICT (Zeichenkette)
    Der Parameter bestimmt, welcher Wert in dem gecos-Feld von /etc/passwd von gewöhnlichen Benutzern mittels des Programms chfn geändert werden darf. Er kann aus jeder Kombination der Buchstaben f ,r, w und h bestehen. Diese Buchstaben stehen für den vollständigen Namen, die Zimmernummer, die geschäftliche Telefonnummer und die private Telefonnummer. Zum Zweck der Abwärtskompatibilität entspricht yes rwh und no frwh. Falls nichts festgelegt wird, kann nur Root Änderungen vornehmen. Die größte Einschränkung erreicht man besser, indem chfn nicht mit SUID-Rechten ausgestattet wird.

DATEIEN

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

/etc/passwd
    Informationen zu den Benutzerkonten

SIEHE AUCH

chsh(1), login.defs(5), passwd(5).